Test::Harness::Util(3)

NAME
Test::Harness::Util - Utility functions for Test::Harness::*

SYNOPSIS
Utility functions for Test::Harness::*

PUBLIC FUNCTIONS
The following are all available to be imported to your module. No symbols are exported by default.

  all_in( {parm => value, parm => value} )
Finds all the *.t in a directory. Knows to skip .svn and CVS directories.

Valid parms are:

start
    Starting point for the search. Defaults to ".".

recurse
    Flag to say whether it should recurse. Default to true.

shuffle( @list )
Returns a shuffled copy of @list.

  blibdir()
Finds all the blib directories. Stolen directly from blib.pm